Package htsjdk.samtools.filter

# Interface SamRecordFilter

All Known Implementing Classes:
  `AggregateFilter`, `AlignedFilter`, `DuplicateReadFilter`, `FailsVendorReadQualityFilter`, `HtsgetBAMFileReader.BAMQueryMultipleIntervalsIteratorFilter`, `InsertSizeFilter`, `IntervalFilter`, `IntervalKeepPairFilter`, `InvertFilter`, `JavascriptSamRecordFilter`, `MappingQualityFilter`, `NotPrimaryAlignmentFilter`, `OverclippedReadFilter`, `ReadNameFilter`, `SecondaryAlignmentFilter`, `SecondaryOrSupplementaryFilter`, `SolexaNoiseFilter`, `TagFilter`, `WholeReadClippedFilter`

public interface SamRecordFilter
API for filtering SAMRecords $Id$

## Method Summary

Modifier and Type
Method
Description
`boolean`
`filterOut(SAMRecord record)`
Determines whether a SAMRecord matches this filter
`boolean`
`filterOut(SAMRecord first, SAMRecord second)`
Determines whether a pair of SAMRecords matches this filter

## Method Details

### filterOut

boolean filterOut(SAMRecord record)
Determines whether a SAMRecord matches this filter

Parameters:
  `record` - the SAMRecord to evaluate
Returns:
  true if the SAMRecord matches the filter, otherwise false

### filterOut

boolean filterOut(SAMRecord first, SAMRecord second)
Determines whether a pair of SAMRecords matches this filter

Parameters:
  `first` - the first SAMRecord to evaluate
  `second` - the second SAMRecord to evaluate
Returns:
  true if the pair of records matches filter, otherwise false